Access Management

Create a grant for a user

POST https://{tenant}.atomicwork.com/api/v1/iga/grants

Create an identity grant directly without going through the IGA workflow. Requires user_id and entitlement_id. Optionally specify policy, granted_by, and granted_at. The grant method is automatically derived from the entitlement's provisioning config.

Authorization

X-Api-Keyheaderstringrequired

API key authentication.

Headers

X-Workspace-Idheaderstring

Body

user_idbodyintegerrequired

The ID of the user who will receive the grant

entitlement_idbodyintegerrequired

The ID of the entitlement to grant

policy_idbodyinteger

Optional policy ID to associate with the grant

policy_keybodystring

Optional policy key (alternative to policy_id)

granted_bybodyinteger

Optional user ID of who authorized this grant. Defaults to the API key owner.

granted_atbodystring

Optional timestamp of when the grant was authorized. Defaults to current time.

Response

200

Successful response